import { lightGreen as mr, red as hr, grey as Se } from "@mui/material/colors";
import { createTheme as gr, styled as br } from "@mui/material/styles";
import G from "react";
import ee from "@mui/material/Box";
import Oe from "@mui/material/Drawer";
import yr from "@mui/material/AppBar";
import Pe from "@mui/material/Toolbar";
import je from "@mui/material/IconButton";
import _r from "@mui/material/Typography";
import Er from "@mui/icons-material/Menu";
import Rr from "@mui/icons-material/Refresh";
gr({
  palette: {
    mode: "dark"
  },
  typography: {
    fontFamily: [
      "Pretendard Variable",
      "-apple-system",
      "BlinkMacSystemFont",
      "system-ui",
      "Roboto",
      "Helvetica Neue",
      "Segoe UI",
      "Apple SD Gothic Neo",
      "Noto Sans KR",
      "Malgun Gothic",
      "sans-serif"
    ].join(",")
  },
  colors: {
    textColor_1: "#ececec",
    textColor_2: "#d3d3d3",
    textColorInverted: "#000000",
    bgColor_1: "#121212",
    bgColor_2: "#1e1e1e",
    bgColor_3: "#343434",
    remoteBgColor: "#18181b",
    filterIncludeTypeColor: mr[500],
    filterExcludeTypeColor: hr[500],
    filterSleepTypeColor: Se[400],
    highlightColor: "#ffc107",
    buttonColor: "#000000",
    buttonDisabledBgColor: "#fffafa",
    scrollbarBgColor: "#343434",
    modalBgColor: "#00000044",
    borderColor: Se[800]
  }
});
let ke = (f = 21) => crypto.getRandomValues(new Uint8Array(f)).reduce((p, h) => (h &= 63, h < 36 ? p += h.toString(36) : h < 62 ? p += (h - 26).toString(36).toUpperCase() : h > 62 ? p += "-" : p += "_", p), "");
var re = { exports: {} }, $ = {};
/**
 * @license React
 * react-jsx-runtime.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var De;
function Cr() {
  if (De)
    return $;
  De = 1;
  var f = G, p = Symbol.for("react.element"), h = Symbol.for("react.fragment"), R = Object.prototype.hasOwnProperty, O = f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner, C = { key: !0, ref: !0, __self: !0, __source: !0 };
  function x(T, c, P) {
    var m, b = {}, w = null, M = null;
    P !== void 0 && (w = "" + P), c.key !== void 0 && (w = "" + c.key), c.ref !== void 0 && (M = c.ref);
    for (m in c)
      R.call(c, m) && !C.hasOwnProperty(m) && (b[m] = c[m]);
    if (T && T.defaultProps)
      for (m in c = T.defaultProps, c)
        b[m] === void 0 && (b[m] = c[m]);
    return { $$typeof: p, type: T, key: w, ref: M, props: b, _owner: O.current };
  }
  return $.Fragment = h, $.jsx = x, $.jsxs = x, $;
}
var W = {};
/**
 * @license React
 * react-jsx-runtime.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var Fe;
function xr() {
  return Fe || (Fe = 1, process.env.NODE_ENV !== "production" && function() {
    var f = G, p = Symbol.for("react.element"), h = Symbol.for("react.portal"), R = Symbol.for("react.fragment"), O = Symbol.for("react.strict_mode"), C = Symbol.for("react.profiler"), x = Symbol.for("react.provider"), T = Symbol.for("react.context"), c = Symbol.for("react.forward_ref"), P = Symbol.for("react.suspense"), m = Symbol.for("react.suspense_list"), b = Symbol.for("react.memo"), w = Symbol.for("react.lazy"), M = Symbol.for("react.offscreen"), te = Symbol.iterator, Ae = "@@iterator";
    function Ie(e) {
      if (e === null || typeof e != "object")
        return null;
      var r = te && e[te] || e[Ae];
      return typeof r == "function" ? r : null;
    }
    var j = f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;
    function d(e) {
      {
        for (var r = arguments.length, t = new Array(r > 1 ? r - 1 : 0), n = 1; n < r; n++)
          t[n - 1] = arguments[n];
        $e("error", e, t);
      }
    }
    function $e(e, r, t) {
      {
        var n = j.ReactDebugCurrentFrame, i = n.getStackAddendum();
        i !== "" && (r += "%s", t = t.concat([i]));
        var l = t.map(function(o) {
          return String(o);
        });
        l.unshift("Warning: " + r), Function.prototype.apply.call(console[e], console, l);
      }
    }
    var We = !1, Me = !1, Ye = !1, Ne = !1, Ue = !1, ne;
    ne = Symbol.for("react.module.reference");
    function Ve(e) {
      return !!(typeof e == "string" || typeof e == "function" || e === R || e === C || Ue || e === O || e === P || e === m || Ne || e === M || We || Me || Ye || typeof e == "object" && e !== null && (e.$$typeof === w || e.$$typeof === b || e.$$typeof === x || e.$$typeof === T || e.$$typeof === c || e.$$typeof === ne || e.getModuleId !== void 0));
    }
    function Be(e, r, t) {
      var n = e.displayName;
      if (n)
        return n;
      var i = r.displayName || r.name || "";
      return i !== "" ? t + "(" + i + ")" : t;
    }
    function ae(e) {
      return e.displayName || "Context";
    }
    function y(e) {
      if (e == null)
        return null;
      if (typeof e.tag == "number" && d("Received an unexpected object in getComponentNameFromType(). This is likely a bug in React. Please file an issue."), typeof e == "function")
        return e.displayName || e.name || null;
      if (typeof e == "string")
        return e;
      switch (e) {
        case R:
          return "Fragment";
        case h:
          return "Portal";
        case C:
          return "Profiler";
        case O:
          return "StrictMode";
        case P:
          return "Suspense";
        case m:
          return "SuspenseList";
      }
      if (typeof e == "object")
        switch (e.$$typeof) {
          case T:
            var r = e;
            return ae(r) + ".Consumer";
          case x:
            var t = e;
            return ae(t._context) + ".Provider";
          case c:
            return Be(e, e.render, "ForwardRef");
          case b:
            var n = e.displayName || null;
            return n !== null ? n : y(e.type) || "Memo";
          case w: {
            var i = e, l = i._payload, o = i._init;
            try {
              return y(o(l));
            } catch {
              return null;
            }
          }
        }
      return null;
    }
    var S = Object.assign, A = 0, oe, ie, le, ue, se, fe, ce;
    function de() {
    }
    de.__reactDisabledLog = !0;
    function Le() {
      {
        if (A === 0) {
          oe = console.log, ie = console.info, le = console.warn, ue = console.error, se = console.group, fe = console.groupCollapsed, ce = console.groupEnd;
          var e = {
            configurable: !0,
            enumerable: !0,
            value: de,
            writable: !0
          };
          Object.defineProperties(console, {
            info: e,
            log: e,
            warn: e,
            error: e,
            group: e,
            groupCollapsed: e,
            groupEnd: e
          });
        }
        A++;
      }
    }
    function Ge() {
      {
        if (A--, A === 0) {
          var e = {
            configurable: !0,
            enumerable: !0,
            writable: !0
          };
          Object.defineProperties(console, {
            log: S({}, e, {
              value: oe
            }),
            info: S({}, e, {
              value: ie
            }),
            warn: S({}, e, {
              value: le
            }),
            error: S({}, e, {
              value: ue
            }),
            group: S({}, e, {
              value: se
            }),
            groupCollapsed: S({}, e, {
              value: fe
            }),
            groupEnd: S({}, e, {
              value: ce
            })
          });
        }
        A < 0 && d("disabledDepth fell below zero. This is a bug in React. Please file an issue.");
      }
    }
    var q = j.ReactCurrentDispatcher, z;
    function Y(e, r, t) {
      {
        if (z === void 0)
          try {
            throw Error();
          } catch (i) {
            var n = i.stack.trim().match(/\n( *(at )?)/);
            z = n && n[1] || "";
          }
        return `
` + z + e;
      }
    }
    var J = !1, N;
    {
      var qe = typeof WeakMap == "function" ? WeakMap : Map;
      N = new qe();
    }
    function ve(e, r) {
      if (!e || J)
        return "";
      {
        var t = N.get(e);
        if (t !== void 0)
          return t;
      }
      var n;
      J = !0;
      var i = Error.prepareStackTrace;
      Error.prepareStackTrace = void 0;
      var l;
      l = q.current, q.current = null, Le();
      try {
        if (r) {
          var o = function() {
            throw Error();
          };
          if (Object.defineProperty(o.prototype, "props", {
            set: function() {
              throw Error();
            }
          }), typeof Reflect == "object" && Reflect.construct) {
            try {
              Reflect.construct(o, []);
            } catch (_) {
              n = _;
            }
            Reflect.construct(e, [], o);
          } else {
            try {
              o.call();
            } catch (_) {
              n = _;
            }
            e.call(o.prototype);
          }
        } else {
          try {
            throw Error();
          } catch (_) {
            n = _;
          }
          e();
        }
      } catch (_) {
        if (_ && n && typeof _.stack == "string") {
          for (var a = _.stack.split(`
`), v = n.stack.split(`
`), u = a.length - 1, s = v.length - 1; u >= 1 && s >= 0 && a[u] !== v[s]; )
            s--;
          for (; u >= 1 && s >= 0; u--, s--)
            if (a[u] !== v[s]) {
              if (u !== 1 || s !== 1)
                do
                  if (u--, s--, s < 0 || a[u] !== v[s]) {
                    var g = `
` + a[u].replace(" at new ", " at ");
                    return e.displayName && g.includes("<anonymous>") && (g = g.replace("<anonymous>", e.displayName)), typeof e == "function" && N.set(e, g), g;
                  }
                while (u >= 1 && s >= 0);
              break;
            }
        }
      } finally {
        J = !1, q.current = l, Ge(), Error.prepareStackTrace = i;
      }
      var D = e ? e.displayName || e.name : "", we = D ? Y(D) : "";
      return typeof e == "function" && N.set(e, we), we;
    }
    function ze(e, r, t) {
      return ve(e, !1);
    }
    function Je(e) {
      var r = e.prototype;
      return !!(r && r.isReactComponent);
    }
    function U(e, r, t) {
      if (e == null)
        return "";
      if (typeof e == "function")
        return ve(e, Je(e));
      if (typeof e == "string")
        return Y(e);
      switch (e) {
        case P:
          return Y("Suspense");
        case m:
          return Y("SuspenseList");
      }
      if (typeof e == "object")
        switch (e.$$typeof) {
          case c:
            return ze(e.render);
          case b:
            return U(e.type, r, t);
          case w: {
            var n = e, i = n._payload, l = n._init;
            try {
              return U(l(i), r, t);
            } catch {
            }
          }
        }
      return "";
    }
    var V = Object.prototype.hasOwnProperty, pe = {}, me = j.ReactDebugCurrentFrame;
    function B(e) {
      if (e) {
        var r = e._owner, t = U(e.type, e._source, r ? r.type : null);
        me.setExtraStackFrame(t);
      } else
        me.setExtraStackFrame(null);
    }
    function Ke(e, r, t, n, i) {
      {
        var l = Function.call.bind(V);
        for (var o in e)
          if (l(e, o)) {
            var a = void 0;
            try {
              if (typeof e[o] != "function") {
                var v = Error((n || "React class") + ": " + t + " type `" + o + "` is invalid; it must be a function, usually from the `prop-types` package, but received `" + typeof e[o] + "`.This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.");
                throw v.name = "Invariant Violation", v;
              }
              a = e[o](r, o, n, t, null, "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED");
            } catch (u) {
              a = u;
            }
            a && !(a instanceof Error) && (B(i), d("%s: type specification of %s `%s` is invalid; the type checker function must return `null` or an `Error` but returned a %s. You may have forgotten to pass an argument to the type checker creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and shape all require an argument).", n || "React class", t, o, typeof a), B(null)), a instanceof Error && !(a.message in pe) && (pe[a.message] = !0, B(i), d("Failed %s type: %s", t, a.message), B(null));
          }
      }
    }
    var He = Array.isArray;
    function K(e) {
      return He(e);
    }
    function Xe(e) {
      {
        var r = typeof Symbol == "function" && Symbol.toStringTag, t = r && e[Symbol.toStringTag] || e.constructor.name || "Object";
        return t;
      }
    }
    function Ze(e) {
      try {
        return he(e), !1;
      } catch {
        return !0;
      }
    }
    function he(e) {
      return "" + e;
    }
    function ge(e) {
      if (Ze(e))
        return d("The provided key is an unsupported type %s. This value must be coerced to a string before before using it here.", Xe(e)), he(e);
    }
    var I = j.ReactCurrentOwner, Qe = {
      key: !0,
      ref: !0,
      __self: !0,
      __source: !0
    }, be, ye, H;
    H = {};
    function er(e) {
      if (V.call(e, "ref")) {
        var r = Object.getOwnPropertyDescriptor(e, "ref").get;
        if (r && r.isReactWarning)
          return !1;
      }
      return e.ref !== void 0;
    }
    function rr(e) {
      if (V.call(e, "key")) {
        var r = Object.getOwnPropertyDescriptor(e, "key").get;
        if (r && r.isReactWarning)
          return !1;
      }
      return e.key !== void 0;
    }
    function tr(e, r) {
      if (typeof e.ref == "string" && I.current && r && I.current.stateNode !== r) {
        var t = y(I.current.type);
        H[t] || (d('Component "%s" contains the string ref "%s". Support for string refs will be removed in a future major release. This case cannot be automatically converted to an arrow function. We ask you to manually fix this case by using useRef() or createRef() instead. Learn more about using refs safely here: https://reactjs.org/link/strict-mode-string-ref', y(I.current.type), e.ref), H[t] = !0);
      }
    }
    function nr(e, r) {
      {
        var t = function() {
          be || (be = !0, d("%s: `key` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)", r));
        };
        t.isReactWarning = !0, Object.defineProperty(e, "key", {
          get: t,
          configurable: !0
        });
      }
    }
    function ar(e, r) {
      {
        var t = function() {
          ye || (ye = !0, d("%s: `ref` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)", r));
        };
        t.isReactWarning = !0, Object.defineProperty(e, "ref", {
          get: t,
          configurable: !0
        });
      }
    }
    var or = function(e, r, t, n, i, l, o) {
      var a = {
        $$typeof: p,
        type: e,
        key: r,
        ref: t,
        props: o,
        _owner: l
      };
      return a._store = {}, Object.defineProperty(a._store, "validated", {
        configurable: !1,
        enumerable: !1,
        writable: !0,
        value: !1
      }), Object.defineProperty(a, "_self", {
        configurable: !1,
        enumerable: !1,
        writable: !1,
        value: n
      }), Object.defineProperty(a, "_source", {
        configurable: !1,
        enumerable: !1,
        writable: !1,
        value: i
      }), Object.freeze && (Object.freeze(a.props), Object.freeze(a)), a;
    };
    function ir(e, r, t, n, i) {
      {
        var l, o = {}, a = null, v = null;
        t !== void 0 && (ge(t), a = "" + t), rr(r) && (ge(r.key), a = "" + r.key), er(r) && (v = r.ref, tr(r, i));
        for (l in r)
          V.call(r, l) && !Qe.hasOwnProperty(l) && (o[l] = r[l]);
        if (e && e.defaultProps) {
          var u = e.defaultProps;
          for (l in u)
            o[l] === void 0 && (o[l] = u[l]);
        }
        if (a || v) {
          var s = typeof e == "function" ? e.displayName || e.name || "Unknown" : e;
          a && nr(o, s), v && ar(o, s);
        }
        return or(e, a, v, i, n, I.current, o);
      }
    }
    var X = j.ReactCurrentOwner, _e = j.ReactDebugCurrentFrame;
    function k(e) {
      if (e) {
        var r = e._owner, t = U(e.type, e._source, r ? r.type : null);
        _e.setExtraStackFrame(t);
      } else
        _e.setExtraStackFrame(null);
    }
    var Z;
    Z = !1;
    function Q(e) {
      return typeof e == "object" && e !== null && e.$$typeof === p;
    }
    function Ee() {
      {
        if (X.current) {
          var e = y(X.current.type);
          if (e)
            return `

Check the render method of \`` + e + "`.";
        }
        return "";
      }
    }
    function lr(e) {
      {
        if (e !== void 0) {
          var r = e.fileName.replace(/^.*[\\\/]/, ""), t = e.lineNumber;
          return `

Check your code at ` + r + ":" + t + ".";
        }
        return "";
      }
    }
    var Re = {};
    function ur(e) {
      {
        var r = Ee();
        if (!r) {
          var t = typeof e == "string" ? e : e.displayName || e.name;
          t && (r = `

Check the top-level render call using <` + t + ">.");
        }
        return r;
      }
    }
    function Ce(e, r) {
      {
        if (!e._store || e._store.validated || e.key != null)
          return;
        e._store.validated = !0;
        var t = ur(r);
        if (Re[t])
          return;
        Re[t] = !0;
        var n = "";
        e && e._owner && e._owner !== X.current && (n = " It was passed a child from " + y(e._owner.type) + "."), k(e), d('Each child in a list should have a unique "key" prop.%s%s See https://reactjs.org/link/warning-keys for more information.', t, n), k(null);
      }
    }
    function xe(e, r) {
      {
        if (typeof e != "object")
          return;
        if (K(e))
          for (var t = 0; t < e.length; t++) {
            var n = e[t];
            Q(n) && Ce(n, r);
          }
        else if (Q(e))
          e._store && (e._store.validated = !0);
        else if (e) {
          var i = Ie(e);
          if (typeof i == "function" && i !== e.entries)
            for (var l = i.call(e), o; !(o = l.next()).done; )
              Q(o.value) && Ce(o.value, r);
        }
      }
    }
    function sr(e) {
      {
        var r = e.type;
        if (r == null || typeof r == "string")
          return;
        var t;
        if (typeof r == "function")
          t = r.propTypes;
        else if (typeof r == "object" && (r.$$typeof === c || r.$$typeof === b))
          t = r.propTypes;
        else
          return;
        if (t) {
          var n = y(r);
          Ke(t, e.props, "prop", n, e);
        } else if (r.PropTypes !== void 0 && !Z) {
          Z = !0;
          var i = y(r);
          d("Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?", i || "Unknown");
        }
        typeof r.getDefaultProps == "function" && !r.getDefaultProps.isReactClassApproved && d("getDefaultProps is only used on classic React.createClass definitions. Use a static property named `defaultProps` instead.");
      }
    }
    function fr(e) {
      {
        for (var r = Object.keys(e.props), t = 0; t < r.length; t++) {
          var n = r[t];
          if (n !== "children" && n !== "key") {
            k(e), d("Invalid prop `%s` supplied to `React.Fragment`. React.Fragment can only have `key` and `children` props.", n), k(null);
            break;
          }
        }
        e.ref !== null && (k(e), d("Invalid attribute `ref` supplied to `React.Fragment`."), k(null));
      }
    }
    function Te(e, r, t, n, i, l) {
      {
        var o = Ve(e);
        if (!o) {
          var a = "";
          (e === void 0 || typeof e == "object" && e !== null && Object.keys(e).length === 0) && (a += " You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports.");
          var v = lr(i);
          v ? a += v : a += Ee();
          var u;
          e === null ? u = "null" : K(e) ? u = "array" : e !== void 0 && e.$$typeof === p ? (u = "<" + (y(e.type) || "Unknown") + " />", a = " Did you accidentally export a JSX literal instead of a component?") : u = typeof e, d("React.jsx: type is invalid -- expected a string (for built-in components) or a class/function (for composite components) but got: %s.%s", u, a);
        }
        var s = ir(e, r, t, i, l);
        if (s == null)
          return s;
        if (o) {
          var g = r.children;
          if (g !== void 0)
            if (n)
              if (K(g)) {
                for (var D = 0; D < g.length; D++)
                  xe(g[D], e);
                Object.freeze && Object.freeze(g);
              } else
                d("React.jsx: Static children should always be an array. You are likely explicitly calling React.jsxs or React.jsxDEV. Use the Babel transform instead.");
            else
              xe(g, e);
        }
        return e === R ? fr(s) : sr(s), s;
      }
    }
    function cr(e, r, t) {
      return Te(e, r, t, !0);
    }
    function dr(e, r, t) {
      return Te(e, r, t, !1);
    }
    var vr = dr, pr = cr;
    W.Fragment = R, W.jsx = vr, W.jsxs = pr;
  }()), W;
}
(function(f) {
  process.env.NODE_ENV === "production" ? f.exports = Cr() : f.exports = xr();
})(re);
const E = re.exports.jsx, L = re.exports.jsxs, F = 310, Tr = br(ee)(({
  theme: f
}) => ({
  height: "100%",
  backgroundColor: f.colors.highlightColor
}));
function Wr(f) {
  const [p, h] = G.useState(!1), [R, O] = G.useState(ke()), C = () => {
    h(!p);
  }, x = () => {
    O(ke());
  };
  return /* @__PURE__ */ L(Tr, {
    sx: {
      display: "flex",
      height: "100%"
    },
    children: [/* @__PURE__ */ E(yr, {
      position: "fixed",
      sx: {
        width: {
          sm: `calc(100% - ${F}px)`
        },
        ml: {
          sm: `${F}px`
        }
      },
      children: /* @__PURE__ */ L(Pe, {
        children: [/* @__PURE__ */ E(je, {
          color: "inherit",
          "aria-label": "open drawer",
          edge: "start",
          onClick: C,
          sx: {
            mr: 2,
            display: {
              sm: "none"
            }
          },
          children: /* @__PURE__ */ E(Er, {})
        }), /* @__PURE__ */ E(_r, {
          variant: "h6",
          noWrap: !0,
          component: "div",
          sx: {
            flexGrow: 1
          },
          children: f.title
        }), f.name === "chatsaver" ? /* @__PURE__ */ E(je, {
          size: "large",
          "aria-label": "account of current user",
          "aria-controls": "menu-appbar",
          "aria-haspopup": "true",
          color: "inherit",
          onClick: x,
          children: /* @__PURE__ */ E(Rr, {})
        }) : null]
      })
    }), /* @__PURE__ */ L(ee, {
      component: "nav",
      sx: {
        width: {
          sm: F
        },
        flexShrink: {
          sm: 0
        }
      },
      "aria-label": "mailbox folders",
      children: [/* @__PURE__ */ E(Oe, {
        variant: "temporary",
        open: p,
        onClose: C,
        ModalProps: {
          keepMounted: !0
        },
        sx: {
          display: {
            xs: "block",
            sm: "none"
          },
          "& .MuiDrawer-paper": {
            boxSizing: "border-box",
            width: F
          }
        },
        children: f.drawer
      }), /* @__PURE__ */ E(Oe, {
        variant: "permanent",
        sx: {
          display: {
            xs: "none",
            sm: "block"
          },
          "& .MuiDrawer-paper": {
            boxSizing: "border-box",
            width: F
          }
        },
        open: !0,
        children: f.drawer
      })]
    }), /* @__PURE__ */ L(ee, {
      component: "main",
      sx: {
        flexGrow: 1,
        p: 3,
        width: {
          sm: `calc(100% - ${F}px)`
        },
        display: "flex",
        flexDirection: "column"
      },
      children: [/* @__PURE__ */ E(Pe, {}), f.children]
    })]
  });
}
export {
  Wr as DrawerTemplate
};
